package cn.estsh.i3plus.ext.mes.pojo.model.bu3;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiParam;
import lombok.Data;

import java.io.Serializable;
import java.util.LinkedHashMap;

/**
 * @DESCRIPTION:
 * @USER: wangjie
 * @DATE: 2022-11-01 15:54
 */
@Data
@ApiModel("生产数据推送通知参数MODEL")
public class SxPushDataNotifyParamAssistModel extends SxPushDataNotifyParamModel implements Serializable {

    private static final long serialVersionUID = 3911466926187623573L;

    @ApiParam("影响时间")
    private String influenceDate;

    @ApiParam(value = "责任部门")
    private String ownerDepartment;

    @ApiParam(value = "责任部门")
    private String ownerDepartmentName;

    @ApiParam("影响时间")
    private String influenceDateStart;

    @ApiParam("影响时间")
    private String influenceDateEnd;

    public SxPushDataNotifyParamAssistModel influenceDate(String influenceDate) {
        this.influenceDate = influenceDate;
        return this;
    }

    public SxPushDataNotifyParamAssistModel ownerDepartment(String ownerDepartment) {
        this.ownerDepartment = ownerDepartment;
        return this;
    }

    public SxPushDataNotifyParamAssistModel ownerDepartmentName(String ownerDepartmentName) {
        this.ownerDepartmentName = ownerDepartmentName;
        return this;
    }

    public SxPushDataNotifyParamAssistModel influenceDateStart(String influenceDateStart) {
        this.influenceDateStart = influenceDateStart;
        return this;
    }

    public SxPushDataNotifyParamAssistModel influenceDateEnd(String influenceDateEnd) {
        this.influenceDateEnd = influenceDateEnd;
        return this;
    }

}
